javax.persistence.criteria

## Interface AbstractQuery<T>

All Known Subinterfaces:
  CriteriaQuery<T>, Subquery<T>

    public interface AbstractQuery<T>

### Method Summary

All Methods Instance Methods Abstract Methods
`AbstractQuery<T>` `distinct(boolean distinct)`
`<X> Root<X>` `from(Class<X> entityClass)`
`<X> Root<X>` `from(EntityType<X> entity)`
`List<Expression<?>>` `getGroupList()`
`Predicate` `getGroupRestriction()`
`Predicate` `getRestriction()`
`Class<T>` `getResultType()`
`Set<Root<?>>` `getRoots()`
`Selection<T>` `getSelection()`
`AbstractQuery<T>` `groupBy(Expression<?>... grouping)`
`AbstractQuery<T>` `groupBy(List<Expression<?>> grouping)`
`AbstractQuery<T>` `having(Expression<Boolean> restriction)`
`AbstractQuery<T>` `having(Predicate... restrictions)`
`boolean` `isDistinct()`
`<U> Subquery<U>` `subquery(Class<U> type)`
`AbstractQuery<T>` `where(Expression<Boolean> restriction)`
`AbstractQuery<T>` `where(Predicate... restrictions)`

### Method Detail

#### from

    <X> Root<X> from(Class<X> entityClass)

#### from

    <X> Root<X> from(EntityType<X> entity)

#### where

    AbstractQuery<T> where(Expression<Boolean> restriction)

#### where

    AbstractQuery<T> where(Predicate... restrictions)

#### groupBy

    AbstractQuery<T> groupBy(Expression<?>... grouping)

#### groupBy

    AbstractQuery<T> groupBy(List<Expression<?>> grouping)

#### having

    AbstractQuery<T> having(Expression<Boolean> restriction)

#### having

    AbstractQuery<T> having(Predicate... restrictions)

#### distinct

    AbstractQuery<T> distinct(boolean distinct)

#### subquery

    <U> Subquery<U> subquery(Class<U> type)

#### getRoots

    Set<Root<?>> getRoots()

#### getSelection

    Selection<T> getSelection()

#### getRestriction

    Predicate getRestriction()

#### getGroupList

    List<Expression<?>> getGroupList()

#### getGroupRestriction

    Predicate getGroupRestriction()

#### isDistinct

    boolean isDistinct()

#### getResultType

    Class<T> getResultType()